tigase.jaxmpp.j2se.filetransfer

## Class FileTransferManager.FileTransferRequestHandler.FileTransferRequestEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<FileTransferManager.FileTransferRequestHandler>
    - - tigase.jaxmpp.j2se.filetransfer.FileTransferManager.FileTransferRequestHandler.FileTransferRequestEvent

- Enclosing interface:
    FileTransferManager.FileTransferRequestHandler

      public static class FileTransferManager.FileTransferRequestHandler.FileTransferRequestEvent
      extends JaxmppEvent<FileTransferManager.FileTransferRequestHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferRequestEvent(SessionObject sessionObject, FileTransfer fileTransfer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(FileTransferManager.FileTransferRequestHandler handler)` Invokes handlers method.

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileTransferRequestEvent

          public FileTransferRequestEvent(SessionObject sessionObject,
                                          FileTransfer fileTransfer)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(FileTransferManager.FileTransferRequestHandler handler)
                           throws Exception

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<FileTransferManager.FileTransferRequestHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `Exception`

Copyright © 2006–2016 Tigase. All rights reserved.